Get Contract Version at a Specific Block
get
/v1/contracts/{address}/at/{blockNum}
Returns the full metadata for a registered contract at a particular address applicable at the given block number, if it is available in the contract registry.
Request
Path Parameters
-
address(required): string
Deployed contract address.
-
blockNum(required): string
Block number in 0x-prefixed hexadecimal or decimal format.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Returns the requested contract version.
Root Schema : VersionRecord
Type:
objectMetadata for a specific version of a deployed contract.
Show Source
-
abi: array
abi
Contract ABI entries associated with this version.
-
asOf: object
AsOf
Chain reference that identifies a contract version snapshot.
-
bytecode: [
"string",
"null"
]
Creation bytecode associated with this version, when available.
-
bytecodeHash: [
"string",
"null"
]
Hash of the stored bytecode for integrity verification and lookup.
-
implementationAddress: [
"string",
"null"
]
Implementation address for `proxy` deployments, when available.
-
metadata:
User-facing metadata associated with this version.
-
storageLayouts: array
storageLayouts
Storage layout variants associated with this version.
-
version: integer
Contract version number.
Nested Schema : AsOf
Type:
objectChain reference that identifies a contract version snapshot.
Show Source
-
blockNum(required): string
Block number in 0x-prefixed hexadecimal or decimal format.
-
timestamp: [
"string",
"null"
]
Timestamp associated with the version snapshot, when available.
-
txHash: [
"string",
"null"
]
Transaction hash used to identify the version snapshot, when available.
Nested Schema : storageLayouts
Type:
arrayStorage layout variants associated with this version.
Show Source
-
Array of:
object StorageLayoutVariantRef
Storage layout variant associated with a contract version.
Nested Schema : items
Type:
objectNested Schema : StorageLayoutVariantRef
Type:
objectStorage layout variant associated with a contract version.
Show Source
-
capturedAt: [
"string",
"null"
]
Capture timestamp for this storage layout variant, when available.
-
content: [
"object",
"null"
]
Storage layout content.
-
schemaVersion: string
Schema version for the storage layout representation.
-
sourceKind: string
Source category used to obtain the storage layout.
-
sourceToolchain: [
"string",
"null"
]
Toolchain metadata associated with the storage layout source.
-
type: string
Storage layout representation type identifier.
Examples
404 Response
Contract version not found.